Foreman - Bug #18289

Proxy authentication fails when Foreman is behind nginx or apache
01/27/2017 02:11 PM - Marek Hulan

Status: New

Priority: Normal
Assignee: Marek Hulén
Category: Authentication

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/4239
Description

When Proxy does not use client SSL certificate for authentication, we fallback to DNS resolv for IP of the client that did the call. This
does not work if Foreman is proxied by Apache or nginx that sets X-Forwarded-For header since Rails do not trust ::1 or 127.0.0.1 by
default - tracked as https:/qgithub.com/rails/rails/issues/5223 and even if it did it wouldn't work because we use request.ip instead of
request.remote_ip. That means this can only work if the request is done from a proxy that is on the same host as Foreman. Related
code is at
https://github.com/theforeman/foreman/blob/698e916ce208b50400b83a908a058c83c94d158ee/app/controllers/concerns/foreman/con
troller/smart_proxy auth.rb#L85

History

#1-01/27/2017 02:16 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4239 added

#2 - 05/28/2018 02:28 PM - Marek Hulan
- Status changed from Ready For Testing to New
